Bug 1284406 - [RFE] Add multiple-search paths for vdsm hooks
[RFE] Add multiple-search paths for vdsm hooks
Status: CLOSED WONTFIX
Product: vdsm
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.1.0-alpha
: ---
Assigned To: Yaniv Bronhaim
Aleksei Slaikovskii
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 04:28 EST by Fabian Deutsch
Modified: 2016-11-22 09:51 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-22 09:51:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ybronhei: ovirt‑4.1?
lsvaty: testing_plan_complete?
rule-engine: planning_ack?
rule-engine: devel_ack?
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2015-11-23 04:28:58 EST
Description of problem:
Currently vdsm is just looking in one directory for hooks.
To allow a better integration with Node (and other image based delivery models) it would be good if vdsm was looking in multiple locations for hooks.

i.e. the search order could be

1. /usr/libexec/vdsm/hooks/
2. /usr/lib/vdsm/hooks.d/  # See below, for vendor side (by default) enabled hooks
2. /etc/vdsm/hooks.d/  # For user enabled hooks


In addition it would be very useful, to separate the hook delivery from the hook enablement.
i.e. the hooks could be delivered in /usr/libexec/vdsm/hooks, but to enable them, a symlink needs to be placed into /usr/lib/vdsm/hooks.d/ or /etc/vdsm/hooks.d/.
Comment 1 Oved Ourfali 2016-01-27 01:35:02 EST
Fabian - is that still relevant in next-gen node?
Comment 2 Fabian Deutsch 2016-01-27 06:12:05 EST
Yes, it is _especially_ relevant for ngn.
Comment 3 Fabian Deutsch 2016-02-22 11:09:41 EST
Any plans for this RFE?
Comment 4 Oved Ourfali 2016-02-24 06:24:08 EST
(In reply to Fabian Deutsch from comment #3)
> Any plans for this RFE?

We will do our best to accomplish that in 4.0, but note that it might be pushed out eventually.
Comment 5 Yaniv Bronhaim 2016-11-22 09:51:42 EST
Spoke with Fabian offline - there is no actual need for additional hook path folder right now. please re-open if the requirement is indeed needed

Note You need to log in before you can comment on or make changes to this bug.